Package org.apache.cxf.interceptor

# Class InFaultChainInitiatorObserver

java.lang.Object
org.apache.cxf.interceptor.AbstractFaultChainInitiatorObserver
org.apache.cxf.interceptor.InFaultChainInitiatorObserver

All Implemented Interfaces:
  `MessageObserver`

public class InFaultChainInitiatorObserver extends AbstractFaultChainInitiatorObserver

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InFaultChainInitiatorObserver(Bus bus)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected SortedSet<Phase>`
  `getPhases()`
  `protected void`
  `initializeInterceptors(Exchange ex, PhaseInterceptorChain chain)`
  `protected boolean`
  `isOutboundObserver()`

  ### Methods inherited from class org.apache.cxf.interceptor.AbstractFaultChainInitiatorObserver

  `getBus, onMessage`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InFaultChainInitiatorObserver

    public InFaultChainInitiatorObserver(Bus bus)

- ## Method Details

  - ### initializeInterceptors

    protected void initializeInterceptors(Exchange ex, PhaseInterceptorChain chain)
    Overrides:
      `initializeInterceptors` in class `AbstractFaultChainInitiatorObserver`

  - ### getPhases

    protected SortedSet<Phase> getPhases()
    Specified by:
      `getPhases` in class `AbstractFaultChainInitiatorObserver`

  - ### isOutboundObserver

    protected boolean isOutboundObserver()
    Specified by:
      `isOutboundObserver` in class `AbstractFaultChainInitiatorObserver`